solarOSsolarOS Docs

Void a Contract awaiting signatures

Voids the Contract. The optional body accepts reason.

POST
/contracts/{id}/void

Voids the Contract. The optional body accepts reason.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Path Parameters

id*string

Contract identifier returned by the Organization API.

Request Body

application/json

JSON request payload for voidContract.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/contracts/string/void" \  -H "Content-Type: application/json" \  -d '{    "reason": "Customer requested a revised contract."  }'
{  "data": {    "action": {      "confirmed": true,      "confirmationSignal": "string"    },    "resource": {}  },  "meta": {    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}